#!/bin/bash
#
# Synopsis: compile using fpc. Generate static binaries so that
# they are portable.

NUMARGS=$# 
BIRCH_PLATFORM=linux-x86_64
#BIRCH_PLATFORM=linux-arm64
#BIRCH_PLATFORM=osx-x86_64
#BIRCH_PLATFORM=macos-arm64
BINDIR=../bin-$BIRCH_PLATFORM

if [[ $NUMARGS == 0 ]]
then
  TESTSET=`ls -1 *.p`
else
  TESTSET=$1
fi

for program in $TESTSET
do
   echo $program
   name=${program%.*}
   
   # generate static binaries
   #fpc -XS $program
   
    # generate static binaries that print line numbers on error
   fpc -XS -gl  $program
   rm $name.o
   
   if [ -f "$name" ] 
   then
       mv $name $BINDIR
   fi   
done
