#!/bin/bash
#
# Synopsis: create.sh [filename.rp]
# For any file X.rp, add modules and write the complete, compileable 
# source code to X.p. Also, all files to be created must be in
# the current directory and have the file suffix .rp
NUMARGS=$#
TARGETDIR="../fsap/src.p"  
if [[ $NUMARGS == 0 ]]
then
  TESTSET=`ls -1 *.rp`
else
  TESTSET=$1
fi

for i in $TESTSET
do
   if [ "$i" = "xylemmods.p" ]
   	then # prevent accidental overwrite of xylemmods.p
      echo "create: xylemmods.p not allowed as input. Aborting!"
   else
       name=${i%.*}
       #echo "basename: " $name
       $PWD/replacemods.py $i xylemmods.p $TARGETDIR/$name.p
   fi
done
